创建已完成的SKU调整单
POST
/erp/sc/routing/inventoryReceipt/StorageAdjustment/addSkuAdjustmentOrder接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryReceipt/StorageAdjustment/addSkuAdjustmentOrder | HTTPS | POST | 1 |
请求参数
widinteger必填remarkstringbin_typeintegerproduct_listarray<object>必填隐藏子属性
product_idinteger必填seller_idstringfnskustringto_product_idstring必填to_seller_idintegerto_fnskustringadjustment_valid_numinteger必填product_remarkstringout_available_binarray<object>隐藏子属性
whb_codestringnumintegerin_available_binarray<object>隐藏子属性
whb_codestringnuminteger请求示例
{
"wid": 1,
"remark": "单据备注",
"bin_type": 2,
"product_list": [
{
"product_id": 1,
"seller_id": "1",
"fnsku": "XXX111",
"to_product_id": "",
"to_seller_id": 2,
"to_fnsku": "XXX222",
"adjustment_valid_num": 1,
"product_remark": "产品备注",
"out_available_bin": [
{
"whb_code": "T-1",
"num": 1
}
],
"in_available_bin": [
{
"whb_code": "T-2",
"num": 1
}
]
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_snstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "327BA547-EFD3-B788-678A-1776BCDDBDFF",
"response_time": "2023-01-10 16:22:24",
"data": {
"order_sn": "AD230110022"
},
"total": 0
}